﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinReportViewer;
using Infragistics.Reports;
using System.IO;

namespace Test_5555
{
    public class MyReport : Form, IDisposable
    {

        private NotifyIcon ni;

        public MyReport()
        {
            ni = new NotifyIcon();
        }

        public void Display()
        {
            ni.Icon = Resource1.Icon1;
            ni.Text = "IG Demo Report";
            ni.Visible = true;

            UltraReportViewer rv = new UltraReportViewer();
            Infragistics.Win.UltraWinReportViewer.ClientRenderSettings clientRenderSettings11 = new Infragistics.Win.UltraWinReportViewer.ClientRenderSettings();
            this.WindowState = FormWindowState.Minimized;
            this.Visible = true;
            Controls.Add(rv);
            this.Hide();
            rv.AutoRender = true;
            rv.CurrentPage = 0;
            rv.IsParametersPaneVisible = true;
            rv.MergedDictionary = null;
            rv.Name = "RV1";
            rv.PageFit = Infragistics.Controls.Reports.PageFit.ZoomScale;
            clientRenderSettings11.DefinitionStream = null;
            clientRenderSettings11.DefinitionUri = new System.Uri("/Test 5555;component/Report1.igr", System.UriKind.Relative);
            rv.RenderSettings = clientRenderSettings11;
            rv.TabIndex = 0;
            rv.ZoomScale = 100;
            IClientExporter exporter = rv.CreateExporter(clientRenderSettings11.DefinitionUri);
            FileStream fileStream = new FileStream("..\\..\\TTTT.pdf", FileMode.Create);
            exporter.ExportAsync(fileStream, "PDF");
            exporter.ExportCompleted += new EventHandler<ExportCompletedEventArgs>(exporter_ExportCompleted);
        }

        void exporter_ExportCompleted(object sender, ExportCompletedEventArgs e)
        {
            Application.Exit();
        }
        public void Dispose()
        {
            ni.Dispose();
        }

    }
}
